﻿using Infragistics.Windows.Editors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGValueEditorExceptionTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();

            EventManager.RegisterClassHandler(typeof(ValueEditor), ValueEditor.ValueChangedEvent, new RoutedPropertyChangedEventHandler<object>(OnValueChanged));
        }

        void OnValueChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {
            if (sender is Infragistics.Windows.Editors.XamComboEditor || sender is XamDateTimeEditor || sender is XamCheckEditor || sender is TemplateEditor)
            {
                if (sender is Infragistics.Windows.Editors.XamComboEditor)
                {
                    if ((sender as Infragistics.Windows.Editors.XamComboEditor).IsEditable) return;
                }
                (sender as ValueEditor).EndEditMode(true, true);
            }
        }
    }
}
